# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Patch.pm) perl(Module/Path.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.001
%define module_name Module-Path-Patch-Hide
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Hide some modules from Module::Path
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Module-Path-Patch-Hide

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module can be used to simulate the absence of certain modules. This only
works if the application uses the Module::Path manpage's `module_path()' to
check the availability of modules.

This module works by patching `module_path()' to return empty result if user
asks the modules that happen to be hidden.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/M*

%changelog
* Tue Jul 26 2016 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

